#ifndef CMCAM_H
#define CMCAM_H

#include "ccam.h"
#include "export_cam_driver_impl.h"
class CAM_DRIVER_IMPL_EXPORT CMCam : public CCam
{
public:
    CMCam(const QString& name, int32_t id);
    virtual ~CMCam();
    virtual int32_t init_channel();
    virtual int32_t exit_channel();

#if 0
	virtual void Serialize(QDataStream& stream,bool bwrite, int iVersion) override;
#endif

};

#endif // CMCAM_H
